<?php

use App\Enums\CuttingStatus;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('cuttings', function (Blueprint $table) {
            $table->id();

            $table->foreignId('created_by_id')->constrained('users')->restrictOnDelete();

            $table->enum('status', CuttingStatus::values())->default(CuttingStatus::IN_PROGRESS->value);
            $table->string('description', 100)->nullable();

            $table->unsignedBigInteger('total_material_cost')->nullable();
            $table->unsignedBigInteger('cost_per_unit')->nullable();

            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent()->useCurrentOnUpdate();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('cuttings');
    }
};
